﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
		<script>
			function pageLoad() {
				var chartObject = $find("<%=PieChart1.ClientID%>")._chartObject;
				//Handle the chart's legendItemClick event
				chartObject.bind("legendItemClick", OnClientLegendItemClicked);
				//Calculate the grand total when the page loads and pass as an argument the initial value for the animation
				var isTransitions = chartObject.options.transitions;
				CalculateLegendItemGrandTotal(chartObject, isTransitions);
			}
			function CalculateLegendItemGrandTotal(chart, isTransitions) {
				var grandTotal = 0;
				var chartSeriesData = chart.options.series[0].data;
				//Sum up the grand total value
				for (var i = 0; i < chartSeriesData.length; i++) {
					var currDataItem = chartSeriesData[i];
					if (currDataItem.visible != false) {
						grandTotal += currDataItem.value;
					}
				}
				//Set the template for the legend
				chart.options.legend.labels.template = "#if(text == \'Grand Total\'){# Grand Total: " + grandTotal + " bbl #}else{##=text#: #=kendo.format(\'{0:N0}\',value) # bbl #}#";
				//Store the initial state for the animation in a variable
				var initialTransitions = chart.options.transitions;
				//Enables/Disables animation according to isTransitions argument:
				//   - On pageLoad event isTransitions is set to the animation's original value
				//   - On legendItemClick event isTransitions is set to false
				chart.options.transitions = isTransitions;
				//Redraw the chart, so that the new changes take effect
				chart.redraw();
				//Turn back the initial state of the animation
				chart.options.transitions = initialTransitions;
			}
			function OnClientLegendItemClicked(e) {
				//Recalculate the grand total if an item from the legend is clicked
				setTimeout(function () {
					CalculateLegendItemGrandTotal(e.sender, false);
				}, 10)
			}
		</script>
		<telerik:RadHtmlChart runat="server" ID="PieChart1" Transitions="true" Width="550px" Height="350px">
			<PlotArea>
				<Series>
					<telerik:PieSeries StartAngle="90">
						<LabelsAppearance Position="Center" Color="White">
							<ClientTemplate>
                #if(category != \'Grand Total\'){# #= kendo.format(\'{0:N0}\', value)# bbl #}#
							</ClientTemplate>
						</LabelsAppearance>
						<SeriesItems>
							<telerik:PieSeriesItem BackgroundColor="Black" Exploded="true" Name="Canada" Y="80309" />
							<telerik:PieSeriesItem BackgroundColor="Gray" Exploded="false" Name="Saudi Arabia" Y="46428" />
							<telerik:PieSeriesItem BackgroundColor="DarkGray" Exploded="false" Name="Mexico" Y="40573" />
							<telerik:PieSeriesItem BackgroundColor="DarkRed" Exploded="false" Name="Venezuela" Y="40154" />
							<telerik:PieSeriesItem BackgroundColor="LightGray" Y="0" Name="Grand Total" />
						</SeriesItems>
						<TooltipsAppearance Color="White"></TooltipsAppearance>
					</telerik:PieSeries>
				</Series>
				<Appearance>
					<TextStyle Margin="-40" />
				</Appearance>
			</PlotArea>
			<ChartTitle Text="Countries Exporting Crude Oil to the United States (in Thousands of Barrels)">
			</ChartTitle>
		</telerik:RadHtmlChart>
	</form>
</body>
</html>
